Page MenuHomePhabricator

ecore-x: track whether ecore-x is internally "managing" the root window
ClosedPublic

Authored by zmike on Sep 18 2019, 10:02 AM.

Details

Summary

when ecore_x_window_manage is called, this is probably only for the case of
managing the root window, i.e., running a window manager. store this state
internally so that we can avoid calling additional XSelectInput later and
fucking up the expected eventing

Depends on D9899

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Sep 18 2019, 10:02 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

devilhorns requested changes to this revision.Sep 25 2019, 12:41 PM
devilhorns added a subscriber: devilhorns.

Seems to me this could just use a bool rather than an int...

This revision now requires changes to proceed.Sep 25 2019, 12:41 PM
zmike updated this revision to Diff 25614.Sep 25 2019, 1:10 PM
zmike edited the summary of this revision. (Show Details)

bool

devilhorns requested changes to this revision.Sep 25 2019, 1:21 PM

I would think these should use EINA_TRUE, EINA_FALSE for consistency, yes ??

This revision now requires changes to proceed.Sep 25 2019, 1:21 PM
devilhorns accepted this revision.Sep 26 2019, 8:20 AM
This revision is now accepted and ready to land.Sep 26 2019, 8:20 AM
This revision was automatically updated to reflect the committed changes.